[haiku] Re: build failure from source

  • From: Michael Mounteney <gate03@xxxxxxxxxxxxxxx>
  • To: haiku@xxxxxxxxxxxxx
  • Date: Thu, 30 Apr 2015 09:08:42 +1000

On Tue, 28 Apr 2015 22:00:21 +0200
Axel Dörfler <axeld@xxxxxxxxxxxxxxxx> wrote:

Am 24/04/2015 um 22:45 schrieb Michael Mounteney:
Building from git master ends with:

I recently had a similar problem building Haiku when a package got
downgraded. The solution was to delete the problematic packages (or
just all of them for simplicity), and build again.
Could help you as well -- at least the build bots don't seem to have
a problem compiling the thing.

Thanks for the suggestion but it didn't work for me:

$ rm download/pe-2.4.5-1-x86.hpkg download/vision-0.9.7.r949-3-x86.hpkg
$ jam @nightly-Wyse-Jupiter
[...]
Encountered problems:
problem 1: nothing provides haiku>=r1~alpha4_pm_hrev49036-1 needed by
pe-2.4.5-1 solution 1:
- allow deinstallation of pe-2.4.5-1
problem 2: nothing provides haiku>=r1~alpha4_pm_hrev49036-1 needed by
vision-0.9.7.r949-3 solution 1:
- allow deinstallation of vision-0.9.7.r949-3

export imagePath="/dev/sda2"
export isImage="1"
export isVMwareImage=""
/home/mounty/haiku/source/build/scripts/build_haiku_image
/home/mounty/haiku/Wyse-D10D/haiku.image-init-vars
/home/mounty/haiku/Wyse-D10D/haiku.image-make-dirs
/home/mounty/haiku/Wyse-D10D/haiku.image-copy-files
/home/mounty/haiku/Wyse-D10D/haiku.image-extract-files

...failed BuildHaikuImage1 /dev/sda2 ...

BUILD FAILURE:
...failed updating 1 target(s)...
...updated 935 target(s)...
$ ls -l download/pe-2.4.5-1-x86.hpkg download/vision-0.9.7.r949-3-x86.hpkg
-rw-r--r-- 1 mounty users 1213725 Apr 30 07:20 download/pe-2.4.5-1-x86.hpkg
-rw-r--r-- 1 mounty users 481709 Apr 30 07:20
download/vision-0.9.7.r949-3-x86.hpkg

Any further ideas ? Thanks, Michael.

Other related posts: